## percona-pgbackrest 2.25

=== debian/changelog ===
percona-pgbackrest (2.25-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.25

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Fri, 03 Apr 2020 09:34:58 +0000

percona-pgbackrest (2.25-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 03 Apr 2020 09:34:58 +0000

## percona-pgbackrest 2.26

=== debian/changelog ===
percona-pgbackrest (2.26-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.26

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 27 Apr 2020 22:48:12 +0000

percona-pgbackrest (2.26-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 27 Apr 2020 22:48:12 +0000

## percona-pgbackrest 2.27

=== debian/changelog ===
percona-pgbackrest (2.27-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.27

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 10 Jun 2020 07:28:08 +0000

percona-pgbackrest (2.27-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 10 Jun 2020 07:28:08 +0000

## percona-pgbackrest 2.29

=== debian/changelog ===
percona-pgbackrest (2.29-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.29

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 07 Sep 2020 14:16:24 +0000

percona-pgbackrest (2.29-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 07 Sep 2020 14:16:24 +0000

=== debian/rules ===
#!/usr/bin/make -f

MANTEMPLATE="${CURDIR}/doc/output/man/pgbackrest.1.txt"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	# src contains a seperate configure script.
	cd $(CURDIR)/src && ./configure --prefix=/usr --bindir=/usr/bin
	dh_auto_configure

override_dh_auto_build:
	# Replace user name in doc cache with the current user
	[ $$(whoami) = root ] || sed -i "s/vagrant/$$(whoami)/g" $(CURDIR)/doc/resource/exe.cache

	perl $(CURDIR)/doc/doc.pl --out=man --out=html --cache-only \
	  --var=project-url-root=index.html --exclude=backlog \
	  --var=release-date-static=y
	txt2man \
	  -v "pgBackRest Command Reference" \
	  -t pgbackrest \
	  -s 1 \
	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
	make -C $(CURDIR)/src/
	dh_auto_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/doc/output
	dh_auto_clean

override_dh_auto_install:
	make -C src install DESTDIR=$(CURDIR)/debian/percona-pgbackrest
	dh_auto_install

.PHONY: build

build:
	dh build

## percona-pgbackrest 2.51

=== meson_options.txt ===
option('configdir', type: 'string', value: '/etc/pgbackrest', description: 'Configuration directory')
option('fatal-errors', type: 'boolean', value: false, description: 'Stop compilation on first error')

## percona-pgbackrest 2.30

=== debian/changelog ===
percona-pgbackrest (2.30-2) unstable; urgency=medium

  * Update to new pgbackrest version 2.30

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 14 Dec 2020 10:03:44 +0000

percona-pgbackrest (2.30-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 14 Dec 2020 10:03:44 +0000

=== debian/control ===
Source: percona-pgbackrest
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10~),
               libbz2-dev,
               liblz4-dev,
               libpq-dev,
               libssl-dev,
               libxml-checker-perl,
               libxml2-dev,
               libzstd-dev,
               perl,
               pkg-config,
               txt2man,
               zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://www.pgbackrest.org/
Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest

Package: percona-pgbackrest
Architecture: any
Depends: postgresql-common | percona-postgresql-common , ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Provides: pgbackrest
Suggests: pgbackrest-doc
Description: Reliable PostgreSQL Backup & Restore
 pgBackRest is a simple, reliable backup and restore system for PostgreSQL
 that can seamlessly scale up to the largest databases and workloads.
 .
 This package contains all required binaries, scripts and libraries.

Package: percona-pgbackrest-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Provides: pgbackrest-doc
Description: Documentation package for pgbackrest
 pgBackRest is a simple, reliable backup and restore system for PostgreSQL
 that can seamlessly scale up to the largest databases and workloads.
 .
 The pgBackRest documentation contains detailed information about the
 configuration and usage of pgBackRest.

## percona-pgbackrest 2.32

=== debian/changelog ===
percona-pgbackrest (2.32-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.32

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 08 Mar 2021 11:36:01 +0000

percona-pgbackrest (2.32-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 08 Mar 2021 11:36:01 +0000

=== debian/control ===
--- 
+++ 
@@ -43,3 +43,4 @@
  .
  The pgBackRest documentation contains detailed information about the
  configuration and usage of pgBackRest.
+

## percona-pgbackrest 2.33

=== debian/changelog ===
percona-pgbackrest (2.33-3) unstable; urgency=medium

  * Update to new pgbackrest version 2.33

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 20 May 2021 05:48:43 +0000

percona-pgbackrest (2.33-3) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 20 May 2021 05:48:43 +0000

## percona-pgbackrest 2.36

=== debian/changelog ===
percona-pgbackrest (2.36-2) unstable; urgency=medium

  * Update to new pgbackrest version 2.36

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 15 Dec 2021 06:01:03 +0000

percona-pgbackrest (2.36-2) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 15 Dec 2021 06:01:03 +0000

## percona-pgbackrest 2.37

=== debian/changelog ===
percona-pgbackrest (2.37-2) unstable; urgency=medium

  * Update to new pgbackrest version 2.37

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 06 Apr 2022 04:42:49 +0000

percona-pgbackrest (2.37-2) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 06 Apr 2022 04:42:49 +0000

## percona-pgbackrest 2.38

=== debian/changelog ===
percona-pgbackrest (2.38-2) unstable; urgency=medium

  * Update to new pgbackrest version 2.38

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Sat, 28 May 2022 20:17:25 +0000

percona-pgbackrest (2.38-2) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Sat, 28 May 2022 20:17:25 +0000

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 
 %:
 	dh $@
+
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip
 
 override_dh_auto_configure:
 	# src contains a seperate configure script.
@@ -39,6 +42,11 @@
 	make -C src install DESTDIR=$(CURDIR)/debian/percona-pgbackrest
 	dh_auto_install
 
+# pgBackRest must be configured before the TLS server can be started.
+# Moreover a user must configure valid CA, client and server certificates.
+override_dh_installsystemd:
+	dh_installsystemd --no-enable --no-start
+
 .PHONY: build
 
 build:

## percona-pgbackrest 2.40

=== debian/changelog ===
percona-pgbackrest (2.40-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.40

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 01 Sep 2022 20:07:38 +0000

percona-pgbackrest (2.40-1) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 01 Sep 2022 20:07:38 +0000

## percona-pgbackrest 2.44

=== debian/changelog ===
percona-pgbackrest (2.44-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.44

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 07 Jun 2023 17:02:39 +0000

percona-pgbackrest (2.44-1) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 07 Jun 2023 17:02:39 +0000

## percona-pgbackrest 2.47

=== debian/changelog ===
percona-pgbackrest (2.47-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.47

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-10142>  Wed, 09 Aug 2023 19:21:37 +0000

percona-pgbackrest (2.47-1) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 09 Aug 2023 19:21:37 +0000

## percona-pgbackrest 2.48

=== debian/changelog ===
percona-pgbackrest (2.48-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.48

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-11524>  Fri, 24 Nov 2023 10:48:47 +0000

percona-pgbackrest (2.48-1) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 24 Nov 2023 10:48:47 +0000

## percona-pgbackrest 2.50

=== debian/changelog ===
percona-pgbackrest (2.50-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.50

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-16506>  Wed, 21 Feb 2024 21:22:26 +0000

percona-pgbackrest (2.50-1) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  Wed, 21 Feb 2024 21:22:26 +0000

## percona-pgbackrest 2.51

=== debian/changelog ===
percona-pgbackrest (2.51-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.51

 -- root <root@9024b53ad308>  Wed, 15 May 2024 06:24:40 +0000

percona-pgbackrest (2.51-1) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  Wed, 15 May 2024 06:24:40 +0000

## percona-pgbackrest 2.53

=== debian/changelog ===
percona-pgbackrest (2.53-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.53

 -- root <root@c35d2ab6d580>  Fri, 09 Aug 2024 11:19:20 +0000

percona-pgbackrest (2.53-1) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  Fri, 09 Aug 2024 11:19:20 +0000

## percona-pgbackrest 2.53.1

=== debian/changelog ===
percona-pgbackrest (2.53.1-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.53.1

 -- root <root@7a882bb93684>  Wed, 25 Sep 2024 10:10:25 +0000

percona-pgbackrest (2.53.1-1) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  Wed, 25 Sep 2024 10:10:25 +0000

## percona-pgbackrest 2.54.0

=== debian/changelog ===
percona-pgbackrest (2.54.0-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.54.0

 -- root <root@113bf8bce3d8>  Wed, 27 Nov 2024 07:05:13 +0000

percona-pgbackrest (2.54.0-1) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  Wed, 27 Nov 2024 07:05:13 +0000

=== debian/tests/control ===
Depends: @, postgresql
Tests: suite
Restrictions: allow-stderr

## percona-pgbackrest 2.54.2

=== debian/changelog ===
percona-pgbackrest (2.54.2-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.54.2

 -- root <root@0ddfe995870c>  Wed, 19 Feb 2025 12:04:56 +0000

percona-pgbackrest (2.54.2-1) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  Wed, 19 Feb 2025 12:04:56 +0000

## percona-pgbackrest 2.55.0

=== debian/changelog ===
percona-pgbackrest (2.55.0-2) unstable; urgency=medium

  * Update to new pgbackrest version 2.55.0

 -- root <root@ef2c10add0f2>  Tue, 26 Aug 2025 08:17:13 +0000

percona-pgbackrest (2.55.0-2) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  Tue, 26 Aug 2025 08:17:13 +0000

## percona-pgbackrest 2.56.0

=== debian/changelog ===
percona-pgbackrest (2.56.0-1) unstable; urgency=medium

  * Update to new pgbackrest version 2.56.0

 -- root <root@bbaba967a0bd>  Sun, 07 Sep 2025 03:36:25 +0000

percona-pgbackrest (2.56.0-1) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  Sun, 07 Sep 2025 03:36:25 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,14 @@
 #export DH_VERBOSE = 1
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
 override_dh_builddeb:
 	dh_builddeb -- -Zgzip
 
 override_dh_auto_configure:
-	# src contains a seperate configure script.
-	cd $(CURDIR)/src && ./configure --prefix=/usr --bindir=/usr/bin
-	dh_auto_configure
+	# src contains a separate configure script.
+	dh_auto_configure -- --prefix=/usr --bindir=/usr/bin
 
 override_dh_auto_build:
 	# Replace user name in doc cache with the current user
@@ -31,23 +30,12 @@
 	  -t pgbackrest \
 	  -s 1 \
 	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
-	make -C $(CURDIR)/src/
 	dh_auto_build
 
 override_dh_auto_clean:
-	rm -rf $(CURDIR)/doc/output
-	dh_auto_clean
-
-override_dh_auto_install:
-	make -C src install DESTDIR=$(CURDIR)/debian/percona-pgbackrest
-	dh_auto_install
+	! [ -f src/Makefile ] || $(MAKE) -C src clean-all
 
 # pgBackRest must be configured before the TLS server can be started.
 # Moreover a user must configure valid CA, client and server certificates.
 override_dh_installsystemd:
-	dh_installsystemd --no-enable --no-start
-
-.PHONY: build
-
-build:
-	dh build
+	dh_installsystemd --no-enable --no-start --restart-after-upgrade
